<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EquipmentAssociationAmbit extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $table = 'equipment_association_ambits';

    public function equipmentType(){
        return $this->belongsTo(EquipmentType::class,'equipment_type_id', 'equipment_type_id');
    }

    public function ambitsEquipment(){
        return $this->belongsTo(AmbitsEquipment::class,'ambits_id', 'ambits_id');
    }

    public function Equipment(){
        return $this->belongsTo(Equipment::class,'equipment_id', 'equipment_id');
        
    }
}
